GETeSIM Management

Get eSIM Profile

Retrieve the full profile details for a specific eSIM by its ICCID. Returns the eSIM state, activation information, associated data plan, and provisioning metadata.

Endpoint

GEThttps://api.sotel.com/api/esim/euicc/{ICCID}

Authentication

Requires a bearer token obtained from the /authenticate endpoint. Include it in the Authorization header.

Authorization: Bearer {token}

Path Parameters

NameTypeRequiredDescription
ICCIDstringRequiredThe Integrated Circuit Card Identifier (ICCID) of the eSIM. This is returned when the eSIM is created.

Response

eSIM profile returned successfully.

Response
{
  "data": {
    "iccid": "8910300000033610516",
    "imsi": "260012165106750",
    "state": "RELEASED",
    "last_operation_date": "1761903518266",
    "reuse_remaining_count": 3,
    "cc_required": false,
    "release_date": "1741691562747",
    "activationCode": "LPA:1$consumer.e-sim.global$TN202503101118169CE16B37",
    "smdp": "consumer.e-sim.global"
  }
}

Code Examples

curl -X GET 'https://api.sotel.com/api/esim/euicc/8910300000033610516' \
  -H 'Authorization: Bearer {token}'

Try It

Try It

Fill in the parameters to generate a cURL command

Generated cURL
curl -X GET 'https://api.sotel.com/api/esim/euicc/{ICCID}' \
  -H 'Authorization: Bearer {token}'